<form xmlns="http://www.w3.org/1999/xhtml" 
      xmlns:py="http://genshi.edgewall.org/"
    id="${id}"
    name="${name}"
    action="${action}"
    method="${method}"
    class="${css_class}"
    py:attrs="attrs" >
    
    <div py:if="hidden_fields">
        <div py:for="field in hidden_fields"
             py:with="error=error_for(field)"
             py:strip="True">
            <span py:replace="XML(field.display(value_for(field)), **args_for(field))" />
            <span py:if="show_children_errors and error and not field.show_error" 
                  class="fielderror" py:content="error" />
        </div>
    </div>
    <table border="0" cellspacing="0" cellpadding="2" py:attrs="table_attrs">
        <tr py:for="i, field in enumerate(fields)" 
            id="${field.id}.container"
            class="${i%2 and 'odd' or 'even'}"
            title="${hover_help and help_text or ''}"
            py:attrs="args_for(field).get('container_attrs') or field.container_attrs"
            py:with="required = [None,' required'][int(field.is_required)]; 
                     error = error_for(field);
                     label_text = field.label_text;
                     help_text = field.help_text;" >
            <td py:if="show_labels and not field.suppress_label" class="labelcol">
                <label id="${field.id}.label" for="${field.id}" 
                       class="fieldlabel${required}" 
                       py:if="label_text" py:content="label_text" />
            </td>
            <td class="fieldcol" py:attrs="show_labels and field.suppress_label and dict(colspan=2)">
                ${Markup(field.display(value_for(field), **args_for(field)))}
                <span class="fieldhelp" py:if="help_text and not hover_help" py:content="help_text" />
                <span py:if="show_children_errors and error and not field.show_error" 
                  class="fielderror" py:content="error" />
            </td>
        </tr>
    </table>
    <span py:if="error and not error.error_dict" class="fielderror" py:content="error" />
</form>

